
Summary: A collection of python packages to support KDE applications
Name:    pykdeextensions
Version: 0.4.0
Release: 1%{?dist}
License: LGPL
Group:   Development/Languages 
URL:     http://www.simonzone.com/software/pykdeextensions/
Source0: http://www.simonzone.com/software/pykdeextensions/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# FIXME(?)
Patch1: pykdeextensions-0.4.0-rpath.patch

BuildRequires: gettext
BuildRequires: libtool
BuildRequires: PyKDE
#BuildRequires: python-setuptools
BuildRequires: python-devel >= 2.3
%global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%global python_sitedir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
## python >=2.4 automatically uses python(abi)
%if "%{?python_ver}" > "1" && "%{?python_ver}" < "2.4"
Requires: python-abi = %{python_ver}
%endif

%description
A collection of software and Python packages to support
the creation and installation of KDE applications.

%package devel
Summary: Development tools for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: PyKDE-devel 
%description devel
%{summary}.


%prep

%setup -q

# FIXME, install fails with this patch
#patch1 -p1 -b .rpath


%build

%{__python} setup.py build
%{__python} setup.py build_libpythonize


%install
rm -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install -O1 --skip-build --root=${RPM_BUILD_ROOT}

## unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}
rm -f $RPM_BUILD_ROOT%{_datadir}/apps/pykdeextensions/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS}

# nuke buildroot
find $RPM_BUILD_ROOT%{_datadir}/apps/pykdeextensions/app_templates/ -type f | \
  xargs --no-run-if-empty sed -i -e "s|$RPM_BUILD_ROOT||g"

# remove zero-length files
find $RPM_BUILD_ROOT%{_datadir}/apps/pykdeextensions -size 0 | xargs rm -f

# until patch1 is fixed:
QA_RPATHS=0x0003; export QA_RPATHS


%clean
rm -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root,-) 
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libpythonize.so.*
%{python_sitedir}/*

%files devel
%defattr(-,root,root,-)
%{_docdir}/HTML/en/pykdeextensions/
%{_datadir}/apps/pykdeextensions/
%{_includedir}/pythonize.h
%{_libdir}/libpythonize.so


%changelog
* Wed Feb 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.4.0-1
- pykdeextentions-0.4.0
